Subject: Re: bug#32258: 27.0.50; Crash on minimizing/maximizing Emacs frame from taskbar [RHEL 6.8 GTK2]

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Jul 2018 22:20:36 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Thu, 26 Jul 2018 14:07:55 -0400
> Cc: [email-masked]
> 
> (gdb) source /home/kmodi/downloads/git/emacs/src/.gdbinit
> Warning: /home/kmodi/downloads/git/emacs/../lwlib: No such file or directory.
> SIGINT is used by the debugger.
> Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
> DISPLAY = :1.0
> TERM = screen-256color
> Breakpoint 1 at 0x5910b5: file emacs.c, line 369.
> Temporary breakpoint 2 at 0x5bb7de: file sysdep.c, line 1077.
> (gdb) frame 3
> #3  0x0000000000483e19 in maybe_produce_line_number (it=0x7ffea6f395e0) at xdisp.c:21236
> 21236     eassert (it->glyph_row == NULL || it->glyph_row->used[TEXT_AREA] == 0);
> (gdb) p lnum_buf
> $1 = " 424 \000\000\000\060\324\310\006\000\000\000\000\060\250\363\246\376"
> (gdb) p it->glyph_row->used[TEXT_AREA]
> $2 = 112
> (gdb) pgrowx it->glyph_row
> TEXT: 112 glyphs
>   0    0: CHAR[ ] pos=-1 blev=2,btyp=EN w=9 a+d=17+3 face=16 MB AVOID
>   1    9: CHAR[4] pos=-1 blev=2,btyp=EN w=9 a+d=17+3 face=16 MB AVOID
>   2   18: CHAR[2] pos=-1 blev=2,btyp=EN w=9 a+d=17+3 face=16 MB AVOID
>   3   27: CHAR[4] pos=-1 blev=2,btyp=EN w=9 a+d=17+3 face=16 MB AVOID
>   4   36: CHAR[ ] pos=-1 blev=2,btyp=EN w=9 a+d=17+3 face=16 MB AVOID
>   5   45: CHAR[ ] pos=15965 blev=0,btyp=L w=9 a+d=17+3 MB
>   6   54: CHAR[ ] pos=15966 blev=0,btyp=L w=9 a+d=17+3 MB
>   7   63: CHAR[ ] pos=15967 blev=0,btyp=L w=9 a+d=17+3 MB
>   8   72: CHAR[ ] pos=15968 blev=0,btyp=L w=9 a+d=17+3 MB
>   9   81: CHAR[ ] pos=15969 blev=0,btyp=L w=9 a+d=17+3 MB

This is some variant of bug#28710 and bug#27668.  But those were
fixed, so it's some similar, but different problem.  Unfortunately, to
debug this I need either to be able to reproduce this on my system
(unlikely, since I'm guessing GTK triggers that bug on your system),
or I need you to run a debugging session described in

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=27668#89

and show the results.

But since you cannot trigger the problem at will, it sounds
impractical.  So it sounds like we are stuck, sorry.